# Uses of Interface
org.eclipse.jdt.core.ISourceRange

Packages that use ISourceRange
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.
org.eclipse.jdt.core.refactoring.descriptors
Application programming interface to access Java refactorings provided by JDT.

## Uses of ISourceRange in org.eclipse.jdt.core

Classes in org.eclipse.jdt.core that implement ISourceRange
Modifier and Type
Class
Description
`final class`
`SourceRange`
A source range defines an element's source coordinates relative to its source buffer.
Methods in org.eclipse.jdt.core that return ISourceRange
Modifier and Type
Method
Description
`ISourceRange`
IMember.`getJavadocRange()`
Returns the Javadoc range if this element is from source or if this element is a binary element with an attached source, null otherwise.
`ISourceRange`
ILocalVariable.`getNameRange()`
Returns the source range of this local variable's name.
`ISourceRange`
ISourceReference.`getNameRange()`
Returns the name range associated with this element.
`ISourceRange`
ISourceReference.`getSourceRange()`
Returns the source range associated with this element.
Methods in org.eclipse.jdt.core with parameters of type ISourceRange
Modifier and Type
Method
Description
`static boolean`
SourceRange.`isAvailable(ISourceRange range)`
Helper method that answers whether a valid source range is available in the given ISourceRange.

## Uses of ISourceRange in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom with parameters of type ISourceRange
Modifier and Type
Method
Description
`static ASTNode`
NodeFinder.`perform(ASTNode root, ISourceRange range)`
Maps a selection to an ASTNode, where the selection is defined using a source range.

## Uses of ISourceRange in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation with parameters of type ISourceRange
Modifier and Type
Method
Description
`TypeNameMatch[]`
OrganizeImportsOperation.IChooseImportQuery.`chooseImports(TypeNameMatch[][] openChoices, ISourceRange[] ranges)`
Selects imports from a list of choices.

## Uses of ISourceRange in org.eclipse.jdt.core.refactoring.descriptors

Methods in org.eclipse.jdt.core.refactoring.descriptors with parameters of type ISourceRange
Modifier and Type
Method
Description
`void`
RenameLocalVariableDescriptor.`setSelection(ISourceRange selection)`
Deprecated.
Sets the selection within the compilation unit which references the local variable to rename.